Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.arcinfo_raster
Class ArcInfoTextRasterReader

    java.lang.Object
      org.deegree.io.arcinfo_raster.ArcInfoTextRasterReader

    public class ArcInfoTextRasterReader

extends Object

reads a raster in ArcInfo text format:

      ncols         1600
      nrows         1600
      xllcorner     3540000
      yllcorner     5730000
      cellsize      25
      NODATA_value  -9999
      120.4 132.5 99.9 ... 98.32
      122.5 111.6 110.9 ... 88.77
      ...
      234.23 233.4 265.9 ... 334.7

Since:
  2.0
Version:
  $Revision: 22547 $, 1.0. $Revision: 22547 $, $Date: 2010-02-16 10:22:39 +0100 (Di, 16. Feb 2010) $
Author:
  Andreas Poth, last edited by: $Author: aschmitz $

Constructor Summary
`ArcInfoTextRasterReader(File file)`
`ArcInfoTextRasterReader(String fileName)`

Method Summary
`double` | `getNoDataValue()` returns the value used by a ArcInfo grid to indicate no data values
`float[][]` | `readData()` reads data from a ArcInfo Grid text file
`WorldFile` | `readMetadata()`
`WorldFile` | `readMetadata(boolean center)` reads metadata from a ArcInfo Grid text file

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArcInfoTextRasterReader

    public ArcInfoTextRasterReader(File file)

Parameters:
  `file` -

### ArcInfoTextRasterReader

    public ArcInfoTextRasterReader(String fileName)

Parameters:
  `fileName` -

Method Detail

### readMetadata

    public WorldFile readMetadata()
                           throws IOException

  Returns:
    worldfile for the text grid file
  Throws:
    `IOException`

### readMetadata

    public WorldFile readMetadata(boolean center)
                           throws IOException

  reads metadata from a ArcInfo Grid text file

  Parameters:
    `center` -
  Returns:
    worldfile for the text grid file
  Throws:
    `IOException`

### getNoDataValue

    public double getNoDataValue()
                          throws IOException

  returns the value used by a ArcInfo grid to indicate no data values

  Returns:
    the nodata value
  Throws:
    `IOException`

### readData

    public float[][] readData()
                       throws IOException

  reads data from a ArcInfo Grid text file

  Returns:
    the grid
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org